CREATE TABLE "ARTICLE"
 (	
  "ID" NUMBER(10,0) NOT NULL ENABLE,
  "TITLE" VARCHAR2(255 CHAR),
  "TEASER" CLOB,
  "CREATED_AT" TIMESTAMP (6),
  "CREATED_BY" VARCHAR2(30 CHAR),
  "MODIFIED_AT" TIMESTAMP (6),
  "MODIFIED_BY" VARCHAR2(30 CHAR),
   PRIMARY KEY ("ID") ENABLE
 );
 
CREATE TABLE "ARTICLE_PAGE"
 (
  "ID" NUMBER(10,0) NOT NULL ENABLE,
  "PAGE" NUMBER(10,0) NOT NULL ENABLE,
  "CONTENT" CLOB,
  "ARTICLE_ID" NUMBER(10,0) NOT NULL ENABLE,
   PRIMARY KEY ("ID"),
   CONSTRAINT "FK674F2047FEB2F555" FOREIGN KEY ("ARTICLE_ID")
   REFERENCES "ARTICLE" ("ID") ENABLE
  );

CREATE TABLE "ARTICLE_RIGHT_XREF"
 (	"ARTICLE_ID" NUMBER(10,0) NOT NULL ENABLE,
  "RIGHT_ID" VARCHAR2(50 CHAR) NOT NULL ENABLE,
   CONSTRAINT "FK674F2047FEB2F584" FOREIGN KEY ("RIGHT_ID")
    REFERENCES "CORE_RIGHT" ("RIGHT_ID") ENABLE
 );


CREATE TABLE "ARTICLE_TAG"
 (	"TAGNAME" VARCHAR2(255 CHAR) NOT NULL ENABLE,
  "CREATED_AT" TIMESTAMP (6),
  "CREATED_BY" VARCHAR2(30 CHAR),
  "MODIFIED_AT" TIMESTAMP (6),
  "MODIFIED_BY" VARCHAR2(30 CHAR),
   PRIMARY KEY ("TAGNAME") ENABLE
 );


CREATE TABLE "ARTICLE_TAG_XREF"
 (	"ARTICLE_ID" NUMBER(10,0) NOT NULL ENABLE,
  "TAGNAME" VARCHAR2(255 CHAR) NOT NULL ENABLE,
   CONSTRAINT "FKAB3F87C987D7E7EA" FOREIGN KEY ("TAGNAME")
    REFERENCES "ARTICLE_TAG" ("TAGNAME") ENABLE
 );

-- since 1.1
CREATE TABLE "ARTICLE_HISTORIZED"
 (
  "ID" NUMBER(10,0) NOT NULL ENABLE,
  "VERSION_NUMBER" NUMBER(10, 0) NOT NULL,
  "CREATED_AT" TIMESTAMP (6),
  "CREATED_BY" VARCHAR2(30),
  "MODIFIED_AT" TIMESTAMP (6),
  "MODIFIED_BY" VARCHAR2(30),
  "ACTION" VARCHAR2(50),
  "ACTION_AT" TIMESTAMP (6),
  "RESTORED_FROM_VERSION" NUMBER(10, 0),
  "TITLE" VARCHAR2(255 CHAR),
  "TEASER" CLOB,
  "FULL_ARTICLE" CLOB,
  "TAGS" CLOB,
  "RIGHTS" CLOB,
  "ARTICLE_ID" NUMBER(10, 0) NOT NULL,
   PRIMARY KEY ("ID") ENABLE
 );