/*
 * Copyright 2009-2011 Carsten Hufe devproof.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License")
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.devproof.portal.module.otherpage.repository;

import org.devproof.portal.core.config.GenericRepository;
import org.devproof.portal.core.module.common.annotation.BulkUpdate;
import org.devproof.portal.core.module.common.annotation.Query;
import org.devproof.portal.core.module.common.repository.CrudRepository;
import org.devproof.portal.module.otherpage.entity.OtherPage;
import org.devproof.portal.module.otherpage.entity.OtherPageHistorized;

/**
 * @author Carsten Hufe
 */
@GenericRepository("otherPageHistorizedRepository")
public interface OtherPageHistorizedRepository extends CrudRepository<OtherPageHistorized, Integer> {
    @Query("select max(op.versionNumber) from OtherPageHistorized op where op.otherPage = ?")
    Integer findLastVersionNumber(OtherPage otherPageHistorized);
    
    @BulkUpdate("delete from OtherPageHistorized where otherPage = ?")
    void deleteHistoryForOtherPage(OtherPage otherPageHistorized);
}
