CREATE SEQUENCE HIBERNATE_SEQUENCE START WITH 10000;

CREATE TABLE "CORE_BOX"
 (	"ID" NUMBER(10,0) NOT NULL ENABLE,
  "CREATED_AT" TIMESTAMP (6),
  "CREATED_BY" VARCHAR2(30 CHAR),
  "MODIFIED_AT" TIMESTAMP (6),
  "MODIFIED_BY" VARCHAR2(30 CHAR),
  "BOX_TYPE" VARCHAR2(255 CHAR),
  "CUSTOM_STYLE" VARCHAR2(255 CHAR),
  "CONTENT" CLOB,
  "HIDE_TITLE" NUMBER(1,0) NOT NULL ENABLE,
  "SORT" NUMBER(10,0),
  "TITLE" VARCHAR2(255 CHAR),
   PRIMARY KEY ("ID") ENABLE
 );


CREATE TABLE "CORE_CONFIGURATION"
 (	"CONF_KEY" VARCHAR2(255 CHAR) NOT NULL ENABLE,
  "CONF_DESCRIPTION" VARCHAR2(255 CHAR),
  "CONF_GROUP" VARCHAR2(255 CHAR),
  "CONF_TYPE" VARCHAR2(255 CHAR),
  "CONF_VALUE" VARCHAR2(255 CHAR) NOT NULL ENABLE,
   PRIMARY KEY ("CONF_KEY") ENABLE
 );


CREATE TABLE "CORE_EMAIL_TPL"
 (	"ID" NUMBER(10,0) NOT NULL ENABLE,
  "CREATED_AT" TIMESTAMP (6),
  "CREATED_BY" VARCHAR2(30 CHAR),
  "MODIFIED_AT" TIMESTAMP (6),
  "MODIFIED_BY" VARCHAR2(30 CHAR),
  "CONTENT" CLOB,
  "SUBJECT" VARCHAR2(255 CHAR),
   PRIMARY KEY ("ID") ENABLE
 );


CREATE TABLE "CORE_MODULE_LINK"
 (	"LINK_TYPE" NUMBER(10,0) NOT NULL ENABLE,
  "PAGE_NAME" VARCHAR2(255 CHAR) NOT NULL ENABLE,
  "CREATED_AT" TIMESTAMP (6),
  "CREATED_BY" VARCHAR2(30 CHAR),
  "MODIFIED_AT" TIMESTAMP (6),
  "MODIFIED_BY" VARCHAR2(30 CHAR),
  "MODULE_NAME" VARCHAR2(255 CHAR) NOT NULL ENABLE,
  "SORT" NUMBER(10,0) NOT NULL ENABLE,
  "VISIBLE" NUMBER(1,0) NOT NULL ENABLE,
   PRIMARY KEY ("LINK_TYPE", "PAGE_NAME") ENABLE
 );


CREATE TABLE "CORE_RIGHT"
 (	"RIGHT_ID" VARCHAR2(50 CHAR) NOT NULL ENABLE,
  "CREATED_AT" TIMESTAMP (6),
  "CREATED_BY" VARCHAR2(30 CHAR),
  "MODIFIED_AT" TIMESTAMP (6),
  "MODIFIED_BY" VARCHAR2(30 CHAR),
  "DESCRIPTION" VARCHAR2(255 CHAR),
   PRIMARY KEY ("RIGHT_ID") ENABLE
 );


CREATE TABLE "CORE_ROLE"
 (	"ID" NUMBER(10,0) NOT NULL ENABLE,
  "CREATED_AT" TIMESTAMP (6),
  "CREATED_BY" VARCHAR2(30 CHAR),
  "MODIFIED_AT" TIMESTAMP (6),
  "MODIFIED_BY" VARCHAR2(30 CHAR),
  "ACTIVE" NUMBER(1,0) NOT NULL ENABLE,
  "DESCRIPTION" VARCHAR2(255 CHAR),
   PRIMARY KEY ("ID") ENABLE
 );


CREATE TABLE "CORE_ROLE_RIGHT_XREF"
 (	"ROLE_ID" NUMBER(10,0) NOT NULL ENABLE,
  "RIGHT_ID" VARCHAR2(50 CHAR) NOT NULL ENABLE,
   CONSTRAINT "FK5AFA2427E35D2FF0" FOREIGN KEY ("ROLE_ID")
    REFERENCES "CORE_ROLE" ("ID") ENABLE,
   CONSTRAINT "FK5AFA2427FEB2F584" FOREIGN KEY ("RIGHT_ID")
    REFERENCES "CORE_RIGHT" ("RIGHT_ID") ENABLE
 );


CREATE TABLE "CORE_USER"
 (	"ID" NUMBER(10,0) NOT NULL ENABLE,
  "ACTIVE" NUMBER(1,0) NOT NULL ENABLE,
  "BIRTHDAY" TIMESTAMP (6),
  "CHANGED_AT" TIMESTAMP (6),
  "CONFIRM_APP_AT" TIMESTAMP (6),
  "CONFIRMATION_CODE" VARCHAR2(255 CHAR),
  "CONFIRM_REQ_AT" TIMESTAMP (6),
  "CONFIRMED" NUMBER(1,0) NOT NULL ENABLE,
  "EMAIL" VARCHAR2(100 CHAR) NOT NULL ENABLE,
  "ENABLE_CONTACT_FORM" NUMBER(1,0),
  "PASSWORD" VARCHAR2(255 CHAR) NOT NULL ENABLE,
  "FIRSTNAME" VARCHAR2(100 CHAR),
  "FORGOT_CODE" VARCHAR2(255 CHAR),
  "LAST_IP" VARCHAR2(39 CHAR),
  "LAST_LOGIN_AT" TIMESTAMP (6),
  "LASTNAME" VARCHAR2(100 CHAR),
  "REG_DATE" TIMESTAMP (6) NOT NULL ENABLE,
  "SESSION_ID" VARCHAR2(255 CHAR),
  "USERNAME" VARCHAR2(30 CHAR),
  "ROLE_ID" NUMBER(10,0) NOT NULL ENABLE,
   PRIMARY KEY ("ID") ENABLE,
   UNIQUE ("USERNAME") ENABLE,
   CONSTRAINT "FKA16AE06BE35D2FF0" FOREIGN KEY ("ROLE_ID")
    REFERENCES "CORE_ROLE" ("ID") ENABLE
 );

CREATE TABLE "CORE_MOUNT_POINT" (
  "ID" NUMBER(10,0) NOT NULL ENABLE,
  "MOUNT_PATH" VARCHAR2(255 CHAR) NOT NULL ENABLE,
  "RELATED_CONTENT_ID" VARCHAR2(255 CHAR),
  "HANDLER_KEY" VARCHAR2(255 CHAR) NOT NULL ENABLE,
  "DEFAULT_URL" NUMBER(1,0) NOT NULL ENABLE,
  PRIMARY KEY  ("ID") ENABLE,
  UNIQUE ("MOUNT_PATH") ENABLE
);

CREATE INDEX "MP_RELATED_CONTENT_ID" ON "CORE_MOUNT_POINT" ("RELATED_CONTENT_ID");
CREATE INDEX "MP_HANDLER_KEY" ON "CORE_MOUNT_POINT" ("HANDLER_KEY");
CREATE INDEX "MP_DEFAULT_URL" ON "CORE_MOUNT_POINT" ("DEFAULT_URL");